You can import this changeset into BK by piping this whole message to:
'| bk receive [path to repository]' or apply the patch as usual.

===================================================================


ChangeSet@1.1422.1.15, 2003-11-13 06:50:40-02:00, acme@conectiva.com.br
  o DECNET: use sk_wait_error


 af_decnet.c |   28 ++++++++--------------------
 1 files changed, 8 insertions(+), 20 deletions(-)


diff -Nru a/net/decnet/af_decnet.c b/net/decnet/af_decnet.c
--- a/net/decnet/af_decnet.c	Sat Nov 15 17:00:54 2003
+++ b/net/decnet/af_decnet.c	Sat Nov 15 17:00:54 2003
@@ -824,15 +824,9 @@
 		err = 0;
 		if (sk_wait_event(sk, timeo, scp->state == DN_RUN))
 			break;
-		err = sock_error(sk);
+		err = sk_wait_error(sk, *timeo);
 		if (err)
 			break;
-		err = sock_intr_errno(*timeo);
-		if (signal_pending(current))
-			break;
-		err = -EAGAIN;
-		if (!*timeo)
-			break;
 	}
 	finish_wait(sk->sk_sleep, &wait);
 	if (err == 0) {
@@ -860,15 +854,12 @@
 		err = 0;
 		if (sk_wait_event(sk, timeo, scp->state == DN_RUN))
 			break;
-		err = sock_error(sk);
-		if (err)
-			break;
-		err = sock_intr_errno(*timeo);
-		if (signal_pending(current))
-			break;
-		err = -ETIMEDOUT;
-		if (!*timeo)
+		err = sk_wait_error(sk, *timeo);
+		if (err) {
+			if (err == -EAGAIN)
+				err = -ETIMEDOUT;
 			break;
+		}
 	}
 	finish_wait(sk->sk_sleep, &wait);
 out:
@@ -1025,11 +1016,8 @@
 		err = -EINVAL;
 		if (sk->sk_state != TCP_LISTEN)
 			break;
-		err = sock_intr_errno(*timeo);
-		if (signal_pending(current))
-			break;
-		err = -EAGAIN;
-		if (!*timeo)
+		err = sk_wait_error(sk, *timeo);
+		if (err)
 			break;
 	}
 	finish_wait(sk->sk_sleep, &wait);

===================================================================


This BitKeeper patch contains the following changesets:
1.1422.1.15
## Wrapped with gzip_uu ##


M'XL( .9WMC\  \5476_3,!1]CG_%E?:R DGNM>,DS12TLD:C K:JM,^5Z[JT
MZM*@).N$"/\=MX6-3=W* (DDTHU]OX[//?(1C"I3)H[2N6%'\+:HZL31Q<KH
M>K%6GBYR;U):QZ HK,.?%[GQ-['^9,G]E:E=[H4>,1O15[6>P]J45>*0)VYW
MZB^?3>(,LO/1^\Z L32%L[E:?3(?30UIRNJB7*NK:76JZOE5L?+J4JVJW-3;
MWLUM:,,1N7TE10)EV%"(0=1HFA*I@,P4>1"' =M .WT(_WX5040"0Q')H*$@
MEL2Z0!X%G'O62$#A$_DD ,-$8A*@BSQ!A+VEX26!B^P-_-MCG#$-!72SLXML
MF,!U9:!:CF_4HAZ;LBQ*]@XL\I"S_AV7S'WFPQ@J9*\/(+<C]J=&;XR:C7=_
MGO[U&&T9-\*R%S5*&BT#G(21B&=BVMY/V1,E=Z.))0IL9)LPV,IE?_QA[?P-
M]$>$]#1T0L[# !O"F.]4):*'<A('Y!2#R_^'GG9T7X);WFP_JX_^(\S_@=*Z
M,8^ 6&]G',=VA?0^AN-J^0I>U(O<%*T3FR 00FM" ;'-BQ""W\ESG,4,CJVC
M!5_MXN?*B@7<K'/>Z5VT-ML_"KG9L/<AZUZ.AB>;'K3%]HUU[2!CD*Q'*#CP
<Y_6]NPKUW.AE=9VGIJTFD3 S]AVG[X)7;04     
 
